#
# spec file for package perl-File-DesktopEntry
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-File-DesktopEntry
Version:        0.22
Release:        1.32
%define cpan_name File-DesktopEntry
Summary:        Object to handle .desktop files
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/File-DesktopEntry/
Source0:        http://www.cpan.org/authors/id/M/MI/MICHIELB/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(File::BaseDir) >= 0.03
BuildRequires:  perl(URI::Escape)
Requires:       perl(File::BaseDir) >= 0.03
Requires:       perl(URI::Escape)
%{perl_requires}

%description
This module is designed to work with _.desktop_ files. The format of these
files is specified by the freedesktop "Desktop Entry" specification. This
module can parse these files but also knows how to run the applications
defined by these files.

For this module version 1.0 of the specification was used.

This module was written to support File::MimeInfo::Applications.

Please remember: case is significant for the names of Desktop Entry keys.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README.md

%changelog
* Fri Dec 11 2015 coolo@suse.com
- updated to 0.22
  see /usr/share/doc/packages/perl-File-DesktopEntry/Changes
  0.22 2015-12-10
  - Fix issue on Windows with File URIs
  - Correctly state runtime dependencies
* Sun Nov 29 2015 coolo@suse.com
- updated to 0.21
  see /usr/share/doc/packages/perl-File-DesktopEntry/Changes
  0.21 2015-11-25
  - Documentation changes only.
* Wed Nov 25 2015 coolo@suse.com
- updated to 0.20
  see /usr/share/doc/packages/perl-File-DesktopEntry/Changes
  0.20 2015-11-23
  - Fix opening files with special characters
    RT 93168 - fix provided by Romain Vavassori.
* Sun Jun 21 2015 coolo@suse.com
- updated to 0.12
  see /usr/share/doc/packages/perl-File-DesktopEntry/Changes
  0.12 2015-06-20
  - Remove spurious Module::Build from test. Reported by gregor herrmann,
    Debian team, https://bugs.debian.org/789210
* Mon Jun 15 2015 coolo@suse.com
- updated to 0.11
  see /usr/share/doc/packages/perl-File-DesktopEntry/Changes
  0.11 2015-06-11
  - Explicitly state minimum perl version as 5.8 in Makefile.PL.
  0.10 2015-06-09
  - Include new test in MANIFEST
    RT 105112 - SREZIC
  0.09 2015-06-09
  - Exclude newlines from whitespace on either side of '='
    RT 65394, fix by sdme.
* Mon Apr 13 2015 coolo@suse.com
- updated to 0.08
  see /usr/share/doc/packages/perl-File-DesktopEntry/Changes
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Sat Jun 26 2010 jw@novell.com
- 0.04, initial checkin, needed by perl-File-MimeInfo
